
var webpack = require ('webpack');
var path = require ('path');

var devMode = process.env.NODE_ENV !== 'production';

module.exports =
{
	entry: ['./app.js'],
	output: {
		path: path.join (__dirname, 'build'),
		filename: 'hedera-web.js',
		chunkFilename: 'chunk.[id].[chunkhash].js',
		publicPath: devMode ? 'http://localhost:8080/build/' : 'build/',
	},
	module: {
		loaders: [
			{ test: /\.css$/, loader: 'style!css' },
			{ test: /\.json$/, loader: 'json' },
			{ test: /\.xml$/, loader: 'raw' }
		]
	},
	resolve: {
		modulesDirectories: [__dirname +'/js', __dirname, 'node_modules'],
		fallback: process.env.NODE_PATH,
	},
	resolveLoader: {
		fallback: process.env.NODE_PATH
	},
	plugins: [
//		new webpack.optimize.UglifyJsPlugin ({minimize: true})
	],
//	devtool: 'source-map'
};

